jose_io_t(3)

NAME
jose_io_t - The interface for chained IO.

SYNOPSIS

  Data Fields

bool(* feed )(jose_io_t *io, const void *in, size_t len)
Pushes data into the IO chain.
bool(* done )(jose_io_t *io)
Completes the IO chain.

Detailed Description

The interface for chained IO.

See also:
    jose_io_malloc()

    jose_io_buffer()

    jose_io_file()

    jose_io_multiplex()

    jose_b64_enc_io()

    jose_b64_dec_io()

    jose_jws_sig_io()

    jose_jws_ver_io()

    jose_jwe_dec_io()

    jose_jwe_dec_cek_io()

    jose_jwe_enc_io()

    jose_jwe_enc_cek_io()

Field Documentation

  bool(* jose_io_t::feed) (jose_io_t *io, const void *in, size_t len)

Pushes data into the IO chain.

Parameters:
    io The jose_io_t entity you are using.
    in The input buffer.
    len The length of the data in the input buffer.

Returns:
    Returns true if all data was consumed, otherwise false.

  bool(* jose_io_t::done) (jose_io_t *io)

Completes the IO chain. Any data stored in internal buffers will be flushed.

Parameters:
    io The jose_io_t entity you are using.

Returns:
    Returns true if flushing was successful, otherwise false.

Author

Generated automatically by Doxygen for José from the source code.